com.here.msdkui.routing

## Class OptionItemSpec.NumericOptionItemBuilder

- java.lang.Object
- - com.here.msdkui.routing.OptionItemSpec.NumericOptionItemBuilder

- Enclosing class:
    OptionItemSpec

  Deprecated.
  Please use `OptionItemBuilders.NumericOptionItemBuilder` instead.

      public static class OptionItemSpec.NumericOptionItemBuilder
      extends java.lang.Object

  /** Builder for `NumericOptionItem`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumericOptionItemBuilder(android.content.Context context)` Deprecated. Constructs a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `NumericOptionItem` | `build()` Deprecated. Builds the item.
    `OptionItemSpec.NumericOptionItemBuilder` | `setInputType(int inputType)` Deprecated. Sets input type for this item.
    `OptionItemSpec.NumericOptionItemBuilder` | `setItemId(int id)` Deprecated. Sets an id for this item.
    `OptionItemSpec.NumericOptionItemBuilder` | `setLabel(java.lang.String label)` Deprecated. Sets a label for this item.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumericOptionItemBuilder

          public NumericOptionItemBuilder(android.content.Context context)

      Deprecated.
      Constructs a new instance.
      Parameters:
        `context` - an activity or application context.

  - ### Method Detail

    - #### setLabel

          public OptionItemSpec.NumericOptionItemBuilder setLabel(java.lang.String label)

      Deprecated.
      Sets a label for this item.
      Parameters:
        `label` - the label to set.
      Returns:
        an instance of this class.

    - #### setItemId

          public OptionItemSpec.NumericOptionItemBuilder setItemId(int id)

      Deprecated.
      Sets an id for this item.
      Parameters:
        `id` - the id to set.
      Returns:
        an instance of this class.

    - #### setInputType

          public OptionItemSpec.NumericOptionItemBuilder setInputType(int inputType)

      Deprecated.
      Sets input type for this item.
      Parameters:
        `inputType` - the input type to use.
      Returns:
        an instance of this class.

    - #### build

          public NumericOptionItem build()

      Deprecated.
      Builds the item.
      Returns:
        the item that was built.